unit UOScrInter;

interface

uses
  ActiveX;

const
  SUOScrRegKey = '\Software\BlackSquad\UOScr\';
  SPlugInRegKey = '\Software\BlackSquad\UOScr\PlugIns\';

type
  TDirection = (dirDown, dirDownLeft, dirLeft,  dirUpLeft,
                dirUp,   dirUpRight,  dirRight, dirDownRight);

  PCharacterStruct = ^TCharacterStruct;
  TCharacterStruct = record
    ID : Integer;
    FirstFrameSetID : Integer;
     //
    X, Y, Z : Integer;
    FrameSet : Integer;
    Frame : Integer;
    Direction : TDirection;
  end;

  IUOScr = interface (IUnknown)
    ['{115F7020-9573-11D1-88C5-00C04FB936DE}']
    function NeedCharacter(AFirstFrameSetID, AFrameSets, AX, AY, AZ : Integer; var Character : PCharacterStruct): HResult; stdcall;
    function ReleaseCharacter(Character : PCharacterStruct): HResult; stdcall;
    function GetFrameSetInfo(AFrameSetID : Integer; var FrameCount : Integer): HResult; stdcall;
  end;

  IUOScrPlugIn = interface (IUnknown)
    ['{115F7021-9573-11D1-88C5-00C04FB936DE}']
    function Activate(AParent : IUOScr): HResult; stdcall;
    function Deactivate: HResult; stdcall;
    function DoFrame: HResult; stdcall;
    function DoSettings : HResult; stdcall;
  end;

   (*
      The following GUIDs are reserved for future system use.
        ['{115F7022-9573-11D1-88C5-00C04FB936DE}']
        ['{115F7023-9573-11D1-88C5-00C04FB936DE}']
        ['{115F7024-9573-11D1-88C5-00C04FB936DE}']
        ['{115F7025-9573-11D1-88C5-00C04FB936DE}']
        ['{115F7026-9573-11D1-88C5-00C04FB936DE}']
        ['{115F7027-9573-11D1-88C5-00C04FB936DE}']
        ['{115F7028-9573-11D1-88C5-00C04FB936DE}']
        ['{115F7029-9573-11D1-88C5-00C04FB936DE}']
   *)

implementation

end.
